# Scotty TNG - ping/snmp based realtime network monitoring
#
# $Id: entities.rb 113 2008-10-02 07:56:09Z liske $
#
# Authors:
#   Thomas Liske <liske@ibh.de>
#   Andre Ellguth <ellguth@ibh.de>
#
# Copyright Holder:
#   2008 (C) IBH IT-Service GmbH [http://www.ibh.de/]
#
# License:
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this package; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#

begin
    file = 'htmlentities'
    hasentities = false
    $:.each{|p|
	hasentities = true if File.readable?("#{p}/#{file}.rb")
    }


    if hasentities then

	require 'htmlentities'

	class Entities
	    @@coder = HTMLEntities.new

	    def self.encode(string)
		@@coder.encode(string)
	    end
	end

    else

	class Entities
	    @@entities = {/&/m => "&amp;",
			  /</m => "&lt;",
			  />/m => "&gt;"}

	    def self.encode(string)
		@@entities.each_pair{|r, s|
		    string.gsub(r, s)
		}

		string
	    end
	end

    end
end
