# Scotty TNG - ping/snmp based realtime network monitoring
#
# $Id: utils.rb 121 2008-10-03 09:35:01Z liske $
#
# Authors:
#   Thomas Liske <liske@ibh.de>
#   Andre Ellguth <ellguth@ibh.de>
#
# Copyright Holder:
#   2008 (C) IBH IT-Service GmbH [http://www.ibh.de/]
#
# License:
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this package; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#

class Logger
  def self.setClient(client)
    @@client = client
  end

  def self.logtxt(text, mayiter=true, tag=nil, time=Time.now)
    @@client.logtxt(text, mayiter, tag)
  end
end

class Status
  @@color = {
    "critical" => "red",
    "warning" => "orange",
    "info" => "goldenrod",
    "ok" => "green",
  }

  @@icon = {
    "critical" => "rd",
    "warning" => "og",
    "info" => "yw",
    "ok" => "gn",
  }

  def self.set_color(status, color)
    @@color[status] = color
  end

  def self.set_icon(status, icon)
    @@icon[status] = icon
  end

  def self.text_color(status)
    @@color[status]
  end

  def self.icon_color(status)
    @@icon[status]
  end

  def self.int(status)
    case status
    when "critical"
	return 4
    when "warning"
	return 3
    when "info"
	return 2
    when "ok"
	return 1
    else
	return 0
    end
  end

  def self.comp(ns, os)
    n = self.int(ns)
    o = self.int(os)

    return n if n > o
    return o
  end
end

class Platform
    def self.isWindows?
      isMSWin32? ||
        isMingw32? ||
        isCygwin?
    end

    def self.isCygwin?
      RUBY_PLATFORM =~ %r!.*cygwin!i 
    end
    def self.isMingw32?
      RUBY_PLATFORM =~ %r!.*mingw32!i 
    end
    def self.isMSWin32?
      RUBY_PLATFORM =~ %r!.*mswin32!i 
    end
end
